Puzzle / Developers
API referencePayroll

Create Employee

POST /company/{id}/employees

POST/company/{id}/employees

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/employees" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "employmentType": "FullTime",    "jobTitle": "string",    "startDate": "string",    "officeLocationId": "string",    "payRate": {      "amount": "string",      "currency": "str"    },    "payFrequency": "Hour",    "nativeId": "string"  }'
{  "annualCosts": {    "salaryCost": {      "amount": "string",      "currency": "str"    },    "burdenCost": {      "amount": "string",      "currency": "str"    },    "fullyLoadedCost": {      "amount": "string",      "currency": "str"    }  },  "id": "string",  "firstName": "string",  "lastName": "string",  "employmentType": "FullTime",  "jobTitle": "string",  "department": "string",  "startDate": "string",  "employeeTerminations": [    {      "terminationDate": "string"    }  ],  "flsaStatus": "Exempt",  "officeLocation": {    "id": "string",    "city": "string",    "state": "string",    "zipCode": "string"  },  "payFrequency": "Hour",  "payRate": "string",  "terminated": true}

Schema refreshed 2026-11-11T18:57:48.657Z